' Example of Correlated Uniqueness MTMM in Amos 5.0

Sub Main ()
Dim sem As New AmosEngine

sem.TextOutput
sem.Standardized
sem.Mods 4               ' same as Amos default, MIs > 4.0 are printed
sem.Smc

sem.BeginGroup "mtmm.txt"

sem.Structure "x1 =   PARANOID + (1) E1"
sem.Structure "x2 =   SCHIZOTP + (1) E2"
sem.Structure "x3 =   SCHIZOID + (1) E3"
sem.Structure "x4 =   PARANOID + (1) E4"
sem.Structure "x5 =   SCHIZOTP + (1) E5"
sem.Structure "x6 =   SCHIZOID + (1) E6"
sem.Structure "x7 =   PARANOID + (1) E7"
sem.Structure "x8 =   SCHIZOTP + (1) E8"
sem.Structure "x9 =   SCHIZOID + (1) E9"

sem.Structure "PARANOID (1)"
sem.Structure "SCHIZOTP (1)"
sem.Structure "SCHIZOID (1)"

sem.Structure "PARANOID <--> SCHIZOTP"
sem.Structure "PARANOID <--> SCHIZOID"
sem.Structure "SCHIZOTP <--> SCHIZOID"

sem.Structure "E1 <--> E2"
sem.Structure "E1 <--> E3"
sem.Structure "E2 <--> E3"
sem.Structure "E4 <--> E5"
sem.Structure "E4 <--> E6"
sem.Structure "E5 <--> E6"
sem.Structure "E7 <--> E8"
sem.Structure "E7 <--> E9"
sem.Structure "E8 <--> E9"

End Sub
