' Example of Equal Loadings and Intercepts in Amos 5.0
' Indicator M9 not included because of variable limits in student version

Sub Main ()
Dim sem As New AmosEngine

sem.TextOutput
sem.ModelMeansAndIntercepts
sem.Standardized
sem.Smc

sem.BeginGroup "DepFEM.txt"
sem.GroupName "Females"
sem.Structure "m1 = (TX1) + (1) DEPRESS + (1) E1"
sem.Structure "m2 = (TX2) + (lam2) DEPRESS + (1) E2"
sem.Structure "m3 = (TX3) + (lam3) DEPRESS + (1) E3"
sem.Structure "m4 = (TX4) + (lam4) DEPRESS + (1) E4"
sem.Structure "m5 = (TX5) + (lam5) DEPRESS + (1) E5"
sem.Structure "m6 = (TX6) + (lam6) DEPRESS + (1) E6"
sem.Structure "m7 = (TX7) + (lam7) DEPRESS + (1) E7"
sem.Structure "m8 = (TX8) + (lam8) DEPRESS + (1) E8"
'  sem.Structure "m9 = (TX9) + (lam9) DEPRESS + (1) E9"
sem.Structure "E1 <--> E2"
sem.Mean "DEPRESS", "0"

sem.BeginGroup "DepMALE.txt"
sem.GroupName "Males"
sem.Structure "m1 = (TX1) + (1) DEPRESS + (1) E1"
sem.Structure "m2 = (TX2) + (lam2) DEPRESS + (1) E2"
sem.Structure "m3 = (TX3) + (lam3) DEPRESS + (1) E3"
sem.Structure "m4 = (TX4) + (lam4) DEPRESS + (1) E4"
sem.Structure "m5 = (TX5) + (lam5) DEPRESS + (1) E5"
sem.Structure "m6 = (TX6) + (lam6) DEPRESS + (1) E6"
sem.Structure "m7 = (TX7) + (lam7) DEPRESS + (1) E7"
sem.Structure "m8 = (TX8) + (lam8) DEPRESS + (1) E8"
' sem.Structure "m9 = (TX9) + (lam9) DEPRESS + (1) E9"
sem.Structure "E1 <--> E2"
sem.Mean "DEPRESS", "Mn_DEP"

End Sub
