TITLE SPSS SYNTAX FOR SE AND CI OF SR POINT ESTIMATES: INTRUSION SUBSCALE.
COMPUTE U = 5.7231.
COMPUTE V = 2.8734.
COMPUTE D1 = (2*u*v) / (U**2 + V)**2.
COMPUTE D2 = -U**2 / (U**2 + V)**2.
COMPUTE VARU = 0.0389.
COMPUTE VARV = 0.0223.
COMPUTE COVUV = -0.0016.
COMPUTE SR = U**2 / (U**2 + V).
COMPUTE SE = SQRT(D1**2*VARU+D2**2*VARV+2*D1*D2*COVUV).
COMPUTE CI95LO = SR-1.96*SE.
COMPUTE CI95HI = SR+1.96*SE.
LIST SR SE CI95LO CI95HI.



TITLE SPSS SYNTAX FOR SE AND CI OF SR POINT ESTIMATES: AVOIDANCE SUBSCALE.
COMPUTE U = 4.0535.
COMPUTE V = 3.527.
COMPUTE D1 = (2*u*v) / (U**2 + V)**2.
COMPUTE D2 = -U**2 / (U**2 + V)**2.
COMPUTE VARU = 0.0244.
COMPUTE VARV = 0.0425.
COMPUTE COVUV = -0.0031.
COMPUTE SR = U**2 / (U**2 + V).
COMPUTE SE = SQRT(D1**2*VARU+D2**2*VARV+2*D1*D2*COVUV).
COMPUTE CI95LO = SR-1.96*SE.
COMPUTE CI95HI = SR+1.96*SE.
LIST SR SE CI95LO CI95HI.
